Subject: Re: linux-next: runtime warning after merge of the driver-core tree

From: Stephen Rothwell <[email-masked]>
Date: Tue, 7 Mar 2023 22:51:19 +1100

Hi Greg,

On Tue, 7 Mar 2023 09:01:56 +0100 Greg KH <[email-masked]> wrote:
>
> On Tue, Mar 07, 2023 at 05:48:55PM +1100, Stephen Rothwell wrote:
> > Hi Greg,
> > 
> > On Tue, 7 Mar 2023 07:31:57 +0100 Greg KH <[email-masked]> wrote:  
> > >
> > > On Tue, Mar 07, 2023 at 01:43:13PM +1100, Stephen Rothwell wrote:  
> > > > Hi all,
> > > > 
> > > > After merging the driver-core tree, today's linux-next qemu boot
> > > > (powerpc pseries_le_defconfig) produced this boot time warning:
> > > > 
> > > > HugeTLB: 0 KiB vmemmap can be freed for a 1.00 GiB page
> > > > sysfs: cannot create duplicate filename '//block'    
> > > 
> > > That is odd.  What type of userspace are you running this with?  And is
> > > there a pointer to the .config anywhere?  No one should be needing this
> > > old config option anymore, but maybe I messed something up in removing
> > > it...  
> > The userspace is a trivial PowerPC LE initramfs that just shuts down
> > after it boots.  However, the warning occurs before the initramfs is
> > even unpacked.
> > 
> > I have attached the generated .config  
> 
> No .config was attached :(

Yeah, sorry, by the time I noticed you had posted that you thought you
knew what the problem was, so I didn't bother sending it.

> Anyway, should now be fixed with:
> 	https://lore.kernel.org/r/[email-masked]
> 
> I'll queue that up to my tree so hopefully linux-next will be working
> properly tomorrow.  Sorry for the bug.

OK, thanks.  I will let you know if it still warns ;-)

-- 
Cheers,
Stephen Rothwell